Subject: Re: bug#70984: 30.0.50; Improved support for entering quotation marks, Re: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 May 2024 13:57:56 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 17 May 2024 17:41:35 +0200
> 
> >>>>> On Fri, 17 May 2024 16:38:21 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     Eli> But then the correct UI is to show pairs of quote characters and allow
>     Eli> selection of any combination of any number of the pairs.  What you
>     Eli> seem to suggest instead are pre-composed combinations, according to
>     Eli> your selection, which I think is less optimal.  Can't Customize
>     Eli> support radio buttons and allow selection of any number of
>     Eli> possibilities, not just one out of many?
> 
> Sure, thatʼs another way to do it. Let me look at it. <epic struggle
> with defcustom...>
> 
> So here all all the variations I can find. Itʼs pretty long. Iʼd be
> tempted to leave out the last four, but Iʼll defer to you on that.

LGTM, and I would leave them all there.  Let the users decide.

Thanks.